Summary: BYTE's UNIX Benchmarks
Name: unixbench
Version: 5.1.3
Release: 1
License: Distributable
Group: Applications/System
URL: https://github.com/kdlucas/byte-unixbench/releases
Packager: Michael Perzl<michael@perzl.org>
Source0: https://github.com/kdlucas/byte-unixbench/releases/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: make
Requires: perl >= 5.8.8-2

%description
This page presents some information on Linux benchmarking; and in particular,
UnixBench Version 5, a version of the venerable Byte benchmarks updated to
handle multi-CPU systems.


%prep
%setup -q -n byte-%{name}-%{version}
%patch0


%build
export OBJECT_MODE=64
cd UnixBench
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd UnixBench

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}

cp Run ${RPM_BUILD_ROOT}%{_bindir}/unixbench
chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/*

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/%{name}
cp -r pgms/ testdir/ ${RPM_BUILD_ROOT}%{_libdir}/%{name}/

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -s ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README.md UnixBench/README UnixBench/USAGE UnixBench/WRITING_TESTS
%{_bindir}/*
%{_libdir}/%{name}
/usr/bin/*


%changelog
* Mon Dec 05 2016 Michael Perzl <michael@perzl.org> - 5.1.3-1
- updated to version 5.1.3

* Mon Dec 05 2016 Michael Perzl <michael@perzl.org> - 5.1.2-1
- first version for AIX V5.1 and higher
